Bug 847804 - RFE: ProxyFactory should make resource configuration always available
RFE: ProxyFactory should make resource configuration always available
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.5
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On: 822968
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 11:40 EDT by Lukas Krejci
Modified: 2013-09-01 06:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 822968
Environment:
Last Closed: 2013-09-01 06:08:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-08-13 11:40:55 EDT
+++ This bug was initially created as a clone of Bug #822968 +++

Description of problem:

Directly after import, the resource has no attached resource configuration object. This object is only attached with the first configuration report from the agent or at a request for live configuration of the resource.

The GUI makes sure to always get the configuration of the resource, reaching out to the agent to get the live values.

The ProxyFactory doesn't provide such ability but it should, being the convenience wrapper that we use in the CLI.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Import a resource
2. Instantly after that create a proxy for that resource in the CLI
3. do: pretty.print(resource.resourceConfiguration.properties)
  
Actual results:
0 rows

Expected results:
a configuration object containing the true resource configuration

Additional info:

--- Additional comment from ccrouch@redhat.com on 2012-05-21 09:50:14 EDT ---

Mis-added as7-plugin as blocker, removing

--- Additional comment from ccrouch@redhat.com on 2012-05-21 11:43:28 EDT ---

I'd like to see this in 3.1.1 as it makes our scripts more complex

--- Additional comment from jsanda@redhat.com on 2012-08-02 14:52:26 EDT ---

JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942

--- Additional comment from jsanda@redhat.com on 2012-08-02 21:17:03 EDT ---

Moving back to ON_DEV. This was incorrectly moved to ON_QA in comment 3.
Comment 1 Lukas Krejci 2012-08-14 07:39:05 EDT
master http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=bbdcaee2ca23717a53277fe0bb479f761f46025e
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Aug 14 13:38:06 2012 +0200

    [BZ 847804] - make sure to fetch the latest known resource config through
    the proxy factory.
Comment 2 Heiko W. Rupp 2013-09-01 06:08:20 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.